# $Revision: 1.33 $, $Date: 2012/02/12 18:32:15 $
# TODO
# - sync pl
%define		subver	beta6.9
%define		rel		7
Summary:	jDoom, jHeretic and jHexen for Linux
Summary(pl.UTF-8):	jDoom, jHeretic i jHexen dla Linuksa
Name:		doomsday
Version:	1.9.0
Release:	0.%{subver}.%{rel}
License:	GPL v2 / CC 3.0 (icons)
Group:		Applications/Games
Source0:	http://downloads.sourceforge.net/deng/deng-%{version}-%{subver}.tar.gz
# Source0-md5:	907ef41b70e2dbf148ef7e4a0350c6bd
Source1:	http://www.iconarchive.com/icons/3xhumed/mega-games-pack-26/Doom-1-48x48.png
# Source1-md5:	b7b7a9389eba56679e5db65d95c06803
Source2:	http://www.iconarchive.com/icons/3xhumed/mega-games-pack-23/Hexen-1-48x48.png
# Source2-md5:	573845e6e747f68617ac67f3a87dc78e
Source3:	http://www.iconarchive.com/icons/3xhumed/mega-games-pack-28/Heretic-I-1-48x48.png
# Source3-md5:	c89e36c49eabe2846137f313a5250308
Patch0:		%{name}-libpng15.patch
URL:		http://www.dengine.net/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	cmake >= 2.4
BuildRequires:	curl-devel
BuildRequires:	libpng-devel
BuildRequires:	ncurses-devel
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.595
Requires:	TiMidity++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Doomsday Engine allows you to play the classic first-person
shooters DOOM, Heretic, and Hexen using modern technology, with
hardware accelerated 3D graphics, surround sound and much more.

%description -l pl.UTF-8
jDoom, jHeretic i jHexen dla Linuksa.

%prep
%setup -q -n deng-%{version}-%{subver}
%patch0 -p1

%build
install -d build
cd build
LDFLAGS="-lm"
%cmake \
	-DBUILDOPENAL=1 \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCURSES_INCLUDE_PATH=/usr/include/ncurses \
	-Dlibdir=%{_libdir} \
	../doomsday
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}/doom.png
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/hexen.png
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}/heretic.png

cat <<EOF > $RPM_BUILD_ROOT%{_desktopdir}/%{name}-doom.desktop
[Desktop Entry]
Name=Doom
Comment=Doom for linux
Exec=doomsday -game jdoom
Icon=doom.png
Terminal=false
Type=Application
Categories=Game;FirstPersonGame;
Encoding=UTF-8
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_desktopdir}/%{name}-hexen.desktop
[Desktop Entry]
Name=Hexen
Comment=Hexen for linux
Exec=doomsday -game jhexen
Icon=hexen.png
Terminal=false
Type=Application
Categories=Game;FirstPersonGame;
Encoding=UTF-8
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_desktopdir}/%{name}-heretic.desktop
[Desktop Entry]
Name=Heretic
Comment=Heretic for linux
Exec=doomsday -game jheretic
Icon=heretic.png
Terminal=false
Type=Application
Categories=Game;FirstPersonGame;
Encoding=UTF-8
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner -o -e %{name} <<-EOF
To run doomsday you need some WAD file: either freedoom package
or some shareware or commercial WAD from Doom or Heretic:
Doom.wad, Doom1.wad, Doom2.wad, Tnt.wad, Plutonia.wad,
Heretic.wad or Heretic1.wad.
When you have them, run doomsday with:
doomsday -game [ jdoom | jheretic | jhexen ]
EOF

%files
%defattr(644,root,root,755)
%doc doomsday/build/README
%attr(755,root,root) %{_bindir}/doomsday
%attr(755,root,root) %{_libdir}/libdpdehread.so
%attr(755,root,root) %{_libdir}/libdpwadmapconverter.so
%attr(755,root,root) %{_libdir}/libjdoom.so
%attr(755,root,root) %{_libdir}/libjheretic.so
%attr(755,root,root) %{_libdir}/libjhexen.so
%attr(755,root,root) %{_libdir}/libdsopenal.so
%{_datadir}/deng
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: doomsday.spec,v $
Revision 1.33  2012/02/12 18:32:15  adamg
- release 7 (rebuild against libpng-1.5)

Revision 1.32  2012/02/12 08:09:31  arekm
- release 6

Revision 1.31  2012/02/07 21:59:24  arekm
- release 5

Revision 1.30  2011/12/20 19:40:35  arekm
- release 4

Revision 1.29  2011/09/01 17:04:27  arekm
- release 3

Revision 1.28  2011/01/23 09:43:16  glen
- restore icons from distfiles

Revision 1.27  2011/01/15 16:44:59  glen
- up to beta6.9
- enhanced desc

Revision 1.26  2010/02/06 22:16:43  sparky
- dropped unused BR: zip
- enabled OpenAL

Revision 1.25  2010/02/06 20:59:18  arekm
- release 2

Revision 1.24  2009/12/02 01:12:13  sparky
- BR: libpng-devel, ncurses-devel, python, python-modules

Revision 1.23  2009/11/10 14:20:05  dirdival
- up to 1.9.0-beta6.7

Revision 1.22  2009/08/30 21:23:42  glen
- add Exhumed icons

Revision 1.21  2009/08/30 17:25:26  glen
- up to 1.9.0-beta6.5

Revision 1.20  2009/07/25 00:08:21  glen
- works for me; rel 1

Revision 1.19  2009/07/25 00:06:24  glen
- add README

Revision 1.18  2009/07/24 21:54:42  glen
- more deps, lib64 fix

Revision 1.17  2009/07/24 21:39:49  glen
- update to 1.9.0-beta6.4, builds

Revision 1.16  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.14  2006/09/01 15:52:13  havner
- beta4, ac patch

Revision 1.13  2006/04/06 08:04:57  glen
- add cve info (unsolvable)

Revision 1.12  2006/01/31 20:53:05  qboosh
- updated md5

Revision 1.11  2005/12/08 13:43:13  wrobell
- ver. 1.9.0 beta3

Revision 1.10  2005/06/29 22:05:06  glen
- 1.8.6

Revision 1.9  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.8  2005/04/10 16:31:46  glen
- fix desktop files
- remove static libraries

Revision 1.7  2005/04/10 16:24:31  glen
- use %banner
- add .desktop files
- R: timidity++ for playing midis
- patch to save state files to ~/.doomsday

Revision 1.6  2005/01/08 12:14:27  aniolek
- updated to 1.8.5

Revision 1.5  2004/11/17 20:47:21  qboosh
- more EA with note (only platforms with sizeof(int)==sizeof(void*) supported)

Revision 1.4  2004/11/14 11:08:30  havner
- doesn't compile on 64bit...

Revision 1.3  2004/11/03 22:29:19  ankry
- cosmetics

Revision 1.2  2004/10/31 09:30:15  qboosh
- cosmetics/unifications

Revision 1.1  2004/10/31 01:10:02  havner
- doomsday (or so called jDoom), imo the best doom version of all, great
  OpenGL support, highly configurable. Can even have 3d models (with
  external pak files)
- I'll add some descriptions soon, and have to do something with this
  banner
- works great
